org.fourthline.cling.model.message.header

## Class SoapActionHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<SoapActionType>
  - - org.fourthline.cling.model.message.header.SoapActionHeader

-     public class SoapActionHeader
      extends UpnpHeader<SoapActionType>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `UpnpHeader.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoapActionHeader()`
    `SoapActionHeader(SoapActionType value)`
    `SoapActionHeader(String s)`
    `SoapActionHeader(URI uri)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s)`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SoapActionHeader

          public SoapActionHeader()

    - #### SoapActionHeader

          public SoapActionHeader(URI uri)

    - #### SoapActionHeader

          public SoapActionHeader(SoapActionType value)

    - #### SoapActionHeader

          public SoapActionHeader(String s)
                           throws InvalidHeaderException

      Throws:
        `InvalidHeaderException`

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Specified by:
        `setString` in class `UpnpHeader<SoapActionType>`
      Parameters:
        `s` - This header's value as a string representation.
      Throws:
        `InvalidHeaderException` - If the value is invalid for this UPnP header.

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `UpnpHeader<SoapActionType>`
      Returns:
        A string representing this header's value.

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.